View Issue Details

IDProjectCategoryView StatusLast Update
0000376XdebugUsage problems (Wrong Results)public2009-08-06 10:38
ReportercboisardAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000376: Fail context for local variable
DescriptionCommand "context_get -i 12 -d 0" return fail result for local variable. Alway type="uninitialized"
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="12" context="0">
<property name="output" fullname="$output" type="uninitialized"></property>
<property name="$this" fullname="$this" address="60045568" type="object" children="1" classname="System::Web::UI::HtmlControls::HtmlLink" numchildren="23">
...
TagsNo tags attached.
Operating System
PHP Version5.3-dev

Relationships

has duplicate 0000459 resolvedderick Fail to retrieve context for local variable 
has duplicate 0000460 resolvedderick GUI clients always show "uninitialized" for local-scope variables. 
has duplicate 0000461 resolvedderick xdebug 2.0.5 with php 5.3 - context_get for function variables always appear as "unitialized" - Linux 
has duplicate 0000498 resolvedderick Backport fix for 0000376: Fail context for local variable to stable xdebug 

Activities

incastrix

2008-06-17 21:55

reporter   ~0000856

In my case happen only when depth > 1.

php code:

 class child {
     public $member = 'some value';
     
     public function method() {
         // do something
     }
 }
 
 class father {
     public $first_member = "foo";
     public $second_member = "bar";
     
     public function create() {
         $local = 10;
         
         $newone = new child();
         
         $local += 10;
         
         $this->first_member = "other value";
     }
 
 }
 
 $foo = "asdasd";
 $bar = "qweqwe";
 
 $obj = new father();
 
 $obj->create();


Put a breakpoint inside father->create, xdebug return only $this variable.

php 5.3 cvs (20080617)
xdebug 2.1.0-dev

derick

2008-07-04 09:35

administrator   ~0000861

I am aware of this, there are some issues with recent optimization patches in PHP 5.3. There is a workaround, but that seems to crash things. I didn't have time to investigate yet.

k-fish

2009-01-30 14:44

reporter   ~0000907

Tried with 5.3.0beta1 today and it still doesn't work. I'd consider 5.3 stable enough now to fix this. ;) Please!

derick

2009-03-28 20:41

administrator   ~0000946

I have started on fixing this, but didn't manage to finish. Soon :-)

k-fish

2009-03-30 08:29

reporter   ~0000948

Wohoo! Looking forward to seeing this fixed!

toddw

2009-07-31 21:44

reporter   ~0001011

This is a pretty serious blocker for using xdebug with php 5.3.

derick

2009-08-01 16:51

administrator   ~0001012

This should be fixed in 2.0.5 already, it was committed in May.

derick

2009-08-06 10:38

administrator   ~0001025

My mistake, this is only in HEAD (2.1-dev) and not in 2.0.5.

Issue History

Date Modified Username Field Change
2008-06-11 14:09 cboisard New Issue
2008-06-17 21:55 incastrix Note Added: 0000856
2008-07-04 09:35 derick Note Added: 0000861
2009-01-30 14:44 k-fish Note Added: 0000907
2009-03-28 20:41 derick Note Added: 0000946
2009-03-30 08:29 k-fish Note Added: 0000948
2009-07-31 21:44 toddw Note Added: 0001011
2009-08-01 16:51 derick Note Added: 0001012
2009-08-01 16:51 derick Status new => closed
2009-08-01 16:51 derick Resolution open => fixed
2009-08-06 10:38 derick Note Added: 0001025
2009-08-06 10:38 derick Relationship added has duplicate 0000459
2009-08-06 10:39 derick Relationship added has duplicate 0000460
2009-08-06 10:39 derick Relationship added has duplicate 0000461
2009-12-22 00:42 derick Relationship added has duplicate 0000498
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)